Package org.eclipse.graphiti.ui.internal.parts.directedit

# Class GFCellEditorValidator

java.lang.Object
org.eclipse.graphiti.ui.internal.parts.directedit.GFCellEditorValidator

All Implemented Interfaces:
  `org.eclipse.jface.viewers.ICellEditorValidator`

public class GFCellEditorValidator extends Object implements org.eclipse.jface.viewers.ICellEditorValidator

## Constructor Summary

Constructors
Constructor
Description
`GFCellEditorValidator(IDirectEditHolder directEditHolder, org.eclipse.jface.viewers.CellEditor cellEditor)`

## Method Summary

Modifier and Type
Method
Description
`String`
`isValid(Object value)`
`String`
`isValidProposal(Object value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GFCellEditorValidator

public GFCellEditorValidator(IDirectEditHolder directEditHolder, org.eclipse.jface.viewers.CellEditor cellEditor)

## Method Details

### isValid

public String isValid(Object value)

Specified by:
  `isValid` in interface `org.eclipse.jface.viewers.ICellEditorValidator`

### isValidProposal

public String isValidProposal(Object value)